/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Aplikace;

import Abstrakt.IIterator;
import Abstrakt.PriorFronta.PriorFronta;
import Aplikace.Inventarizace.Inventarizace;
import Aplikace.Katedra.IOsoba;
import Aplikace.Katedra.Osoba;
import java.util.Date;

/**
 *
 * @author Administrator
 */
public class Main {

    public static void main(String[] args) {
        {
            System.out.println("Abstrakt");
            PriorFronta<String, Date> priorFronta = new PriorFronta<String, Date>();

            System.out.println(priorFronta.jePrazdna());

            Date date = new Date(new Date().getTime());
            priorFronta.vloz(date.toLocaleString() + " prvni", date, date);

            date = new Date(2010-1900, 11, 2);
            priorFronta.vloz(date.toLocaleString() + " druhy", date, date);

            date = new Date(2010-1900, 10, 1);
            priorFronta.vloz(date.toLocaleString() + " treti", date, date);

            date = new Date(2010-1900, 12, 3);
            priorFronta.vloz(date.toLocaleString() + " ctvrty", date, date);

            date = new Date(2009-1900, 01, 01);
            priorFronta.vloz(date.toLocaleString() + " paty", date, date);

            date = new Date(2009-1900, 9, 01);
            priorFronta.vloz(date.toLocaleString() + " 6", date, date);

            date = new Date(2009-1900, 07, 01);
            priorFronta.vloz(date.toLocaleString() + " 7", date, date);

            date = new Date(2009-1900, 01, 13);
            priorFronta.vloz(date.toLocaleString() + " 8", date, date);

            date = new Date(2009-1900, 07, 15);
            priorFronta.vloz(date.toLocaleString() + " 9", date, date);


            IIterator it = priorFronta.vytvorIterator();
            while (it.hasNext()) {
                System.out.println(it.next().toString());
            }

            System.out.println(priorFronta.mohutnost());

            System.out.println(priorFronta.jePrazdna());

            priorFronta.odeberMax();

            it = priorFronta.vytvorIterator();
            while (it.hasNext()) {
                System.out.println(it.next().toString());
            }

            System.out.println("\r\nVyhledej:\r\n" + priorFronta.vyhledej(new Date(2010, 11, 2)));

            priorFronta.zrus();
            System.out.println(priorFronta.jePrazdna());
        }

        {
            System.out.println("Inventarizace");
            IOsoba osoba = new Osoba("Matej", "Trakal", 1);
            Inventarizace inventarizace = new Inventarizace();

            System.out.println(inventarizace.jePrazdny());

            inventarizace.naplanujCasovouJednotku(new Date(2010, 01, 01));
            inventarizace.vlozOsobu(osoba);

            inventarizace.priradKCasu();

            System.out.println(inventarizace.jePrazdny());

            inventarizace.vypis();

            inventarizace.zrus();
        }
    }
}
