/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Abstrakt.ADL;

/**
 * Prvek ADS, který slouží, jako vnitřní struktura
 * @author Administrator
 * @param <objType> datová struktura, kterou bude Prvek ve svém těle uchovávat
 */
public interface IPrvek<objType> {

    /**
     * @return the data
     */
    objType getData();

    /**
     * @return the next
     */
    IPrvek getNext();

    /**
     * @return the prev
     */
    IPrvek getPrev();

    /**
     * @param data the data to set
     */
    void setData(objType data);

    /**
     * @param next the next to set
     */
    void setNext(Prvek next);

    /**
     * @param prev the prev to set
     */
    void setPrev(Prvek prev);

}
