/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Aplikace.CasovyPlan;

import Abstrakt.IIterator;
import Abstrakt.PriorFronta.PriorFronta;
import java.util.Date;

/**
 *
 * @author Administrator
 */
public class CasovyPlan<T> { //katedra

    private Date datum;
    private PriorFronta<CasovaJednotka<T>, Date> priorFronta = new PriorFronta<CasovaJednotka<T>, Date>();

    public void pridejCasovouJednotku(T data, Date datum) {
        this.priorFronta.vloz(new CasovaJednotka<T>(data, datum), datum, datum);
    }

    public void pridejCasovouJednotku(T data) {
        this.priorFronta.vloz(new CasovaJednotka<T>(data, this.datum), this.datum, this.datum);
    }

    public void vlozCasovouJednotku(Date date) {
        this.datum = new Date(new Date().getTime());
    }

    public boolean jePrazdny() {
        return this.priorFronta.jePrazdna();
    }

    public void zrus() {
        this.priorFronta.zrus();
    }

    public T vyber() {
        return this.priorFronta.zpristupniMax().vyber();
    }

    @Override
    public String toString() {
        String result = null;
        IIterator it = this.priorFronta.vytvorIterator();

        while (it.hasNext()) {
            result += it.next().toString() + "\r\n";
        }
        return result;
    }
}
