/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Aplikace.Katedra;

/**
 * Interface pro třídu Osoba
 * @author Administrator
 */
public interface IOsoba {

    /**
     * Porovnání aktuálního a parametrem předaného objektu na shodnost dat
     * @param o porovnávaný objekt
     * @return true = prvky jsou shodné
     */
    @SuppressWarnings(value = "EqualsWhichDoesntCheckParameterClass")
    @Override
    boolean equals(Object o);

    /**
     * @return the id
     */
    Integer getId();

    /**
     * @return the jmeno
     */
    String getJmeno();

    /**
     * @return the prijmeni
     */
    String getPrijmeni();

    /**
     * Automaticky vygenerovaná metoda NetBeansy, nevím k čemu slouží
     * @return číslo hashe
     */
    @Override
    int hashCode();

    /**
     * @param id the id to set
     */
    void setId(Integer id);

    /**
     * @param jmeno the jmeno to set
     */
    void setJmeno(String jmeno);

    /**
     * @param prijmeni the prijmeni to set
     */
    void setPrijmeni(String prijmeni);

    /**
     * Přetížený výpis obsahu struktury
     * @return textový výpis obsahu struktury Osoba
     */
    @Override
    String toString();

}
